from typing import List, Dict

from pydantic import BaseModel



class ArtistCreation(BaseModel):
    id: str
    name: str

class ArtistResponse(BaseModel):
    id: str
    name: str

class ArtistDetailResponse(BaseModel):
    id: str
    name: str
    weblink: str
    works: Dict[str, List[str]]
